%global alphatag r214

Name:           sfntly
Version:        0
Release:        0.10.%{alphatag}%{?dist}
Summary:        A Library for Using, Editing, and Creating SFNT-based Fonts
License:        ASL 2.0
URL:            http://code.google.com/p/sfntly/
# Howto create a tarball archive
# svn checkout -r 214 http://sfntly.googlecode.com/svn/trunk sfntly
# rm -rf sfntly/.svn
# find sfntly -name "*.class" -delete
# find sfntly -name "*.jar" -delete
# rm -rf sfntly/cpp sfntly/data
# tar cJf sfntly.tar.xz sfntly
Source0:        %{name}.tar.xz
Source1:        %{name}-template-pom.xml
Source2:        sfnttool-template-pom.xml

BuildArch:      noarch
BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:  icu4j, icu4j-charset
BuildRequires:  beust-jcommander
BuildRequires:  junit
BuildRequires:  ant-junit

Requires:       icu4j
Requires:       icu4j-charset
Requires:       beust-jcommander

Requires:       jpackage-utils
Requires:       java-headless

%description
sfntly is a Java library for using, editing, and creating sfnt
container based fonts (e.g. OpenType, TrueType). This library
was initially created by Google's Font Team.

The basic features of sfntly are the reading, editing, 
and writing of an sfnt container font.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

pushd java/src/com/google/typography/font/tools
sed -i '/zipfileset/d' fontinfo/build.xml
sed -i '/zipfileset/d' conversion/build.xml
sed -i '/zipfileset/d' sfnttool/build.xml
popd

sed -i  '/zipfileset/d'  java/src/com/google/typography/font/sfntly/sample/build.xml

sed -i "s|lib/icu4j-charset-4_8_1_1.jar:lib/icu4j-4_8_1_1.jar:lib/jcommander-1.27.jar:lib/junit-4.10.jar|$(build-classpath icu4j-charset):$(build-classpath icu4j):$(build-classpath beust-jcommander):$(build-classpath junit)|" \
 java/javadoc.xml

%build
pushd java
ant -Dlib.dir=%{_javadir}
popd 

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p java/dist/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}.jar
cp -p java/dist/tools/sfnttool/sfnttool.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/sfnttool.jar

mkdir -p $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-sfnttool.pom
%add_maven_depmap JPP.%{name}-sfnttool.pom %{name}/sfnttool.jar
 
# Samples
cp -p java/dist/sample/sflint/sflint.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/sflint.jar
cp -p java/dist/sample/sfntdump/sfntdump.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/sfntdump.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp java/build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%jpackage_script com.google.typography.font.tools.sfnttool.SfntTool "" "" %{name}/%{name}:%{name}/sfnttool:icu4j-charset:icu4j:beust-jcommander %{name} true

%check
pushd java
ant -Dlib.dir=%{_javadir} test
popd

%files -f .mfiles
%doc java/COPYING
%{_bindir}/sfntly
%{_javadir}/%{name}
%{_mavenpomdir}/*

%files javadoc
%doc java/COPYING
%{_javadocdir}/%{name}

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.r214
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 09 2014 Parag Nemade <pnemade AT redhat DOT com> - 0-0.9.r214
- FTBFS: https://lists.fedoraproject.org/pipermail/java-devel/2014-May/005243.html

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.r214
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Parag Nemade <pnemade AT redhat DOT com> - 0-0.7.r214
- Resolves:rh#1068526: Switch to java-headless (build)requires

* Sat Sep 07 2013 Parag Nemade <pnemade AT redhat DOT com> - 0-0.6.r214
- enable %check and add BR: ant-junit

* Fri Sep 06 2013 Parag Nemade <pnemade AT redhat DOT com> - 0-0.5.r214
- Fixed the sfntly binary installation
- added pom file for sfnttool. Thanks to gil again.

* Thu Sep 05 2013 Parag Nemade <pnemade AT redhat DOT com> - 0-0.4.r214
- Added pom file

* Thu Sep 05 2013 Parag Nemade <pnemade AT redhat DOT com> - 0-0.3.r214
- Removed Requires: jpackage-utils from javadoc sub package
- Add suggestions from gil on #fedora-java channel

* Mon Aug 26 2013 Parag Nemade <pnemade AT redhat DOT com> - 0-0.2.r214
- Added COPYING file.

* Fri Aug 23 2013 Parag Nemade <pnemade AT redhat DOT com> - 0-0.1.r214
- Update to current svn revision 214

* Tue Feb 19 2013 Parag Nemade <pnemade AT redhat DOT com> - 0-0.1.r151
- Update to current svn revision 151

* Tue Feb 12 2013 Parag Nemade <pnemade AT redhat DOT com> - 0-0.1.r125
- Initial release
